"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hotelsRouter = void 0;
const express_1 = require("express");
const hotel_controller_1 = require("../controllers/hotel.controller");
const verifyToken_1 = require("../utils/verifyToken");
exports.hotelsRouter = (0, express_1.Router)();
exports.hotelsRouter
    .post('/', verifyToken_1.verifyAdmin, hotel_controller_1.createHotel)
    .put('/:id', verifyToken_1.verifyAdmin, hotel_controller_1.updateHotel)
    .delete('/:id', verifyToken_1.verifyAdmin, hotel_controller_1.deleteHotel)
    .get('/countByCity', hotel_controller_1.countByCity)
    .get('/countByType', hotel_controller_1.countByType)
    .get('/:id', hotel_controller_1.getOneHotel)
    .get('/', hotel_controller_1.getAllHotels)
    .get('/room/:id', hotel_controller_1.getHotelRooms);
//# sourceMappingURL=hotels.router.js.map