"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.roomsRouter = void 0;
const express_1 = require("express");
const room_controller_1 = require("../controllers/room.controller");
const verifyToken_1 = require("../utils/verifyToken");
exports.roomsRouter = (0, express_1.Router)();
exports.roomsRouter
    .post('/:hotelId', verifyToken_1.verifyAdmin, room_controller_1.createRoom)
    .put('/availability/:id', room_controller_1.updateRoomAvailability)
    .put('/:id', verifyToken_1.verifyAdmin, room_controller_1.updateRoom)
    .delete('/:id/:hotelId', verifyToken_1.verifyAdmin, room_controller_1.deleteRoom)
    .get('/:id', room_controller_1.getOneRoom)
    .get('/', room_controller_1.getAllRooms);
//# sourceMappingURL=rooms.router.js.map